@import "../../../assets/styles/vars.css";

.bookmark-btn{
  &.tooltip-anchor{
    & .tooltip {
      color: var(--megaCurrentSite);
    }
  }

  & button {
    border-radius: 50%;
    box-shadow: 1px 1px 8px 0 rgba(157,170,177,0.5);
    position: relative;

    &[data-bookmark-status="true"]{
      background-color: #FFFFFF;
      & .bookmark-status-like,
      & + .tooltip span.like{
          display: none;
      }
      & + .tooltip span.liked{
        display: block;
      }
      & .bookmark-status-liked{
        & svg {
          fill: var(--megaCurrentSite) !important;
        }
      }

    }
    &[data-bookmark-status="0"],
    &[data-bookmark-status="false"]{
      background-color: var(--megaCurrentSite);

      & .bookmark-status-like{
        & svg {
          fill: #FFFFFF !important;
        }
      }
      & .bookmark-status-liked{
        display: none;
      }
    }
    & .bookmark-status-hover {
      display: none;
    }
    &:hover {
      & .bookmark-status-hover {
        display: inline-block;
        position: absolute;
        top: -5px;
        left: -1px;
        font-size: 20px;
        width: 22px;
        & .minus, & .plus {
          color: white;
        }
      }
    }
  }
}

.bookmark {
  position: absolute;
  width: 20px;
  top: 11px;
  left: 11px;
}